from dishka import BaseScope, Provider, Scope, provide

from template_project.adapters.notifications.fcm import FCMNotificationService
from template_project.application.common.notifications.service import NotificationService


class NotificationServiceProvider(Provider):
    scope: BaseScope | None = Scope.APP

    @provide
    def notification_service(self) -> NotificationService:
        return FCMNotificationService()
